#if ALLEGRO_VERSION == 3 
#if ALLEGRO_SUB_VERSION == 12
 BITMAP *load_gbm(char *filename, RGB *pal);
 int save_gbm(char *filename, BITMAP *bmp, RGB *pal);
#endif
#if ALLEGRO_SUB_VERSION == 9
#if ALLEGRO_WIP_VERSION == 36
BITMAP *load_gbm(AL_CONST char *filename, RGB *pal);
int save_gbm(AL_CONST char *filename, BITMAP *bmp, AL_CONST RGB *pal);
#endif
#endif
#endif